compact1, compact2, compact3
java.util

## Class TooManyListenersException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.util.TooManyListenersException

- All Implemented Interfaces:
    Serializable

      public class TooManyListenersException
      extends Exception

  The `TooManyListenersException` Exception is used as part of the Java Event model to annotate and implement a unicast special case of a multicast Event Source.

  The presence of a "throws TooManyListenersException" clause on any given concrete implementation of the normally multicast "void addXyzEventListener" event listener registration pattern is used to annotate that interface as implementing a unicast Listener special case, that is, that one and only one Listener may be registered on the particular event listener source concurrently.

  Since:
    JDK1.1
  See Also:
    `EventObject`, `EventListener`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TooManyListenersException()` Constructs a TooManyListenersException with no detail message.
    `TooManyListenersException(String s)` Constructs a TooManyListenersException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TooManyListenersException

          public TooManyListenersException()

      Constructs a TooManyListenersException with no detail message. A detail message is a String that describes this particular exception.

    - #### TooManyListenersException

          public TooManyListenersException(String s)

      Constructs a TooManyListenersException with the specified detail message. A detail message is a String that describes this particular exception.
      Parameters:
        `s` - the detail message

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.